<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:04 CET 2009 -->
<TITLE>
BigMath
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.math.BigMath class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="BigMath";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BigMath.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/math/NumberMatrixConverter.html" title="interface in ch.javasoft.math"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/math/BigMath.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BigMath.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.math</FONT>
<BR>
Class BigMath</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.math.BigMath</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../src-html/ch/javasoft/math/BigMath.html#line.49"><B>BigMath</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
Similar to <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Math.html" title="class or interface in java.lang"><CODE>Math</CODE></A>, but for big numbers such as 
 <ul>
 <li><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>BigInteger</CODE></A></li>
 <li><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math"><CODE>BigDecimal</CODE></A></li>
 <li><A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math"><CODE>BigFraction</CODE></A></li>
 <ul>
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigMath.html#BigMath()">BigMath</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigMath.html#pi(int)">pi</A></B>(int&nbsp;scale)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gauss-Legendre Algorithm to calculate pi upto roughly the given scale</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigMath.html#sqrt(java.math.BigDecimal)">sqrt</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;num)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Babylonian square root method (Newton's method) to compute the square
 root of the given big decimal up to double precision.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigMath.html#sqrt(java.math.BigDecimal, int)">sqrt</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;num,
         int&nbsp;scale)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Babylonian square root method (Newton's method) to compute the square
 root of the given big decimal number up to roughly the given scale.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigMath.html#sqrt(ch.javasoft.math.BigFraction)">sqrt</A></B>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;num)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Babylonian square root method (Newton's method) to compute the square
 root of the given big fraction number up to double precision.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigMath.html#sqrt(ch.javasoft.math.BigFraction, int)">sqrt</A></B>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;num,
         int&nbsp;scale)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Babylonian square root method (Newton's method) to compute the square
 root of the given big fraction number up to roughly the given scale.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigMath.html#sqrt(java.math.BigInteger)">sqrt</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;num)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Babylonian square root method (Newton's method) to compute the square
 root of the given big integer up to double precision.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigMath.html#sqrt(java.math.BigInteger, int)">sqrt</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;num,
         int&nbsp;scale)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Babylonian square root method (Newton's method) to compute the square
 root of the given big integer up to roughly the given scale.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigMath.html#sqrt(int)">sqrt</A></B>(int&nbsp;num)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigMath.html#sqrt(long)">sqrt</A></B>(long&nbsp;num)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigMath.html#sqrtBabylonian(long)">sqrtBabylonian</A></B>(long&nbsp;num)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="BigMath()"><!-- --></A><H3>
BigMath</H3>
<PRE>
public <A HREF="../../../src-html/ch/javasoft/math/BigMath.html#line.49"><B>BigMath</B></A>()</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="pi(int)"><!-- --></A><H3>
pi</H3>
<PRE>
public static <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../src-html/ch/javasoft/math/BigMath.html#line.60"><B>pi</B></A>(int&nbsp;scale)</PRE>
<DL>
<DD>Gauss-Legendre Algorithm to calculate pi upto roughly the given scale
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>scale</CODE> - scale of the <tt>BigDecimal</tt> PI to be returned
<DT><B>Returns:</B><DD><tt>PI</tt></DL>
</DD>
</DL>
<HR>

<A NAME="sqrtBabylonian(long)"><!-- --></A><H3>
sqrtBabylonian</H3>
<PRE>
public static long <A HREF="../../../src-html/ch/javasoft/math/BigMath.html#line.78"><B>sqrtBabylonian</B></A>(long&nbsp;num)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="sqrt(long)"><!-- --></A><H3>
sqrt</H3>
<PRE>
public static long <A HREF="../../../src-html/ch/javasoft/math/BigMath.html#line.94"><B>sqrt</B></A>(long&nbsp;num)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="sqrt(int)"><!-- --></A><H3>
sqrt</H3>
<PRE>
public static int <A HREF="../../../src-html/ch/javasoft/math/BigMath.html#line.113"><B>sqrt</B></A>(int&nbsp;num)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="sqrt(java.math.BigDecimal, int)"><!-- --></A><H3>
sqrt</H3>
<PRE>
public static <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../src-html/ch/javasoft/math/BigMath.html#line.140"><B>sqrt</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;num,
                              int&nbsp;scale)</PRE>
<DL>
<DD>Babylonian square root method (Newton's method) to compute the square
 root of the given big decimal number up to roughly the given scale.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>scale</CODE> - scale of the <tt>BigDecimal</tt> square root to be returned
<DT><B>Returns:</B><DD><tt>sqrt(num)</tt></DL>
</DD>
</DL>
<HR>

<A NAME="sqrt(java.math.BigInteger, int)"><!-- --></A><H3>
sqrt</H3>
<PRE>
public static <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../src-html/ch/javasoft/math/BigMath.html#line.160"><B>sqrt</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;num,
                              int&nbsp;scale)</PRE>
<DL>
<DD>Babylonian square root method (Newton's method) to compute the square
 root of the given big integer up to roughly the given scale.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>scale</CODE> - scale of the <tt>BigDecimal</tt> square root to be returned
<DT><B>Returns:</B><DD><tt>sqrt(num)</tt></DL>
</DD>
</DL>
<HR>

<A NAME="sqrt(ch.javasoft.math.BigFraction, int)"><!-- --></A><H3>
sqrt</H3>
<PRE>
public static <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../src-html/ch/javasoft/math/BigMath.html#line.170"><B>sqrt</B></A>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;num,
                              int&nbsp;scale)</PRE>
<DL>
<DD>Babylonian square root method (Newton's method) to compute the square
 root of the given big fraction number up to roughly the given scale.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>scale</CODE> - scale of the <tt>BigDecimal</tt> square root to be returned
<DT><B>Returns:</B><DD><tt>sqrt(num)</tt></DL>
</DD>
</DL>
<HR>

<A NAME="sqrt(java.math.BigDecimal)"><!-- --></A><H3>
sqrt</H3>
<PRE>
public static double <A HREF="../../../src-html/ch/javasoft/math/BigMath.html#line.204"><B>sqrt</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;num)</PRE>
<DL>
<DD>Babylonian square root method (Newton's method) to compute the square
 root of the given big decimal up to double precision.
<P>
<DD><DL>

<DT><B>Returns:</B><DD><tt>sqrt(num)</tt></DL>
</DD>
</DL>
<HR>

<A NAME="sqrt(java.math.BigInteger)"><!-- --></A><H3>
sqrt</H3>
<PRE>
public static double <A HREF="../../../src-html/ch/javasoft/math/BigMath.html#line.215"><B>sqrt</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;num)</PRE>
<DL>
<DD>Babylonian square root method (Newton's method) to compute the square
 root of the given big integer up to double precision.
<P>
<DD><DL>

<DT><B>Returns:</B><DD><tt>sqrt(num)</tt></DL>
</DD>
</DL>
<HR>

<A NAME="sqrt(ch.javasoft.math.BigFraction)"><!-- --></A><H3>
sqrt</H3>
<PRE>
public static double <A HREF="../../../src-html/ch/javasoft/math/BigMath.html#line.224"><B>sqrt</B></A>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;num)</PRE>
<DL>
<DD>Babylonian square root method (Newton's method) to compute the square
 root of the given big fraction number up to double precision.
<P>
<DD><DL>

<DT><B>Returns:</B><DD><tt>sqrt(num)</tt></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BigMath.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/math/NumberMatrixConverter.html" title="interface in ch.javasoft.math"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/math/BigMath.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BigMath.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
